> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a WorkCycleException.

> **❗Note**: The `WorkCycleException`, once deleted, stays available in the API.
In order to filter out the deleted `WorkCycleException`, you may use the `deletedAt`
query parameter:
```http
GET /api/v3/workcycleexceptions?deletedAt=null HTTPS/1.1
Host: example.ilucca.net
Authorization: lucca application=XXXX
```




## OpenAPI

````yaml /openapi-specs/schedule.yaml delete /api/v3/workcycleExceptions/{id}
openapi: 3.1.0
info:
  title: Time Settings API
  version: '1.0'
  description: |
    Welcome on the documentation for the Time Settings API.
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: UserDates
    description: Aggregates work schedule events.
  - name: WorkCycleExceptions
    description: Override an employee's theoretical working hours.
  - name: Working Time Arrangements
    description: Employees recurring working hours.
  - name: Collective Schedules
    description: Describes the working hours pattern of a working-time-arrangement.
  - name: employee-assignments
    description: Assignations of employees to working time arrangements.
paths:
  /api/v3/workcycleExceptions/{id}:
    parameters:
      - $ref: '#/components/parameters/Authorization'
      - name: id
        in: path
        required: true
        description: ID of the workcycleException
        schema:
          type: integer
          format: int32
          minimum: 1
    delete:
      tags:
        - WorkCycleExceptions
      summary: Delete a WorkCycleException.
      description: >
        **❗Note**: The `WorkCycleException`, once deleted, stays available in
        the API.

        In order to filter out the deleted `WorkCycleException`, you may use the
        `deletedAt`

        query parameter:

        ```http

        GET /api/v3/workcycleexceptions?deletedAt=null HTTPS/1.1

        Host: example.ilucca.net

        Authorization: lucca application=XXXX

        ```
      operationId: delete-workcycle-exception
      responses:
        '200':
          description: OK
        '400':
          $ref: '#/components/responses/ResponseProblem'
        '401':
          $ref: '#/components/responses/ResponseProblem'
        '404':
          $ref: '#/components/responses/ResponseProblem'
        '500':
          $ref: '#/components/responses/ResponseProblem'
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
  responses:
    ResponseProblem:
      description: Problem
      content:
        application/json:
          schema:
            type: object
            properties:
              Status:
                type: integer
                description: HTTP status code.
                example: 401
              Message:
                type: string
                description: Human readable error message.
                example: Unauthorized

````